# std::logical_not< _Tp > Struct Template Reference
[Boolean Operations Classes]

One of the Boolean operations functors. More...

Inheritance diagram for std::logical_not< _Tp >:
[legend]

List of all members.

## Public Types

- typedef _Tp argument_type
- typedef bool result_type

## Public Member Functions

- bool operator() (const _Tp &__x) const

## Detailed Description

### template<typename _Tp>
struct std::logical_not< _Tp >

One of the Boolean operations functors.

Definition at line 281 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp , bool >::argument_type `[inherited]`

`argument_type` is the type of the /// argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef bool std::unary_function< _Tp , bool >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h